/*
 *  TeaXStyle (C) 2001 Pierpaolo Di Panfilo  <pippo_dp@libero.it>
 *
 *  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the Q Public License and the BSD license.
 *
 *  This library is free software; you should have received a copy of the
 *  Q Public License and of the BSD License along with this library;
 *  see the files COPYING.QPL and COPYING.BSD.
 *
 */

 
#ifndef __KCM_TeaXTrans_H
#define __KCM_TeaXTrans_H

#include <kcmodule.h>
#include <kstddirs.h>
#include <kcolorbutton.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

class QSlider;
class KColorButton;
class QGroupBox;
class QVButtonGroup;
class QRadioButton;

#define MENU_CONFIG_CHANGED 667

class TeaXTransConfig : public KCModule
{    Q_OBJECT

public:
    enum Buttons{None=0, TransFollowBg, Custom};
    TeaXTransConfig(QWidget *parent=0, const char *name=0);
    ~TeaXTransConfig(){ ; }
    void save();
    void load();
    void defaults(){  load();
                      emit changed(true);}
protected slots:
    void slotBtnGroupClicked(int id);
    void slotpBtnGroupClicked(int id);

protected:
    QSlider *opacitySlider, *panOpacitySlider;
    KColorButton *colorBtn, *fgBtn, *panBgBtn;
    QGroupBox *customGroup, *panCustomGroup;
    QButtonGroup *btnGroup, *panbtnGroup;
    QCheckBox *shadowBtn, *boldBtn, *menuStriped, *panStriped;
};

#endif
